Bug 463616 - [LTC 6.0 FEAT] 201187:Binutils: Decimal Floating Point support - PFPO
[LTC 6.0 FEAT] 201187:Binutils: Decimal Floating Point support - PFPO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: binutils (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Denys Vlasenko
Michal Nowak
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-23 23:31 EDT by IBM Bug Proxy
Modified: 2013-03-07 21:04 EST (History)
9 users (show)

See Also:
Fixed In Version: binutils-2.19.51.0.14-34.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 14:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:31:00 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:07 EDT
1. Feature Overview:
Feature Id:	[201187]
a. Name of Feature:	Binutils: Decimal Floating Point support - PFPO
b. Feature Description
Support pfpo instruction

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	/kernel.org/pub/linux/devel/binutils 2.18.50.0.7

3. Business Case
Make use of new hardware instructions and thus Improve Performance of Applications Applications
running operations on DFP type values.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:30:04 EDT
RHEL 6 will include at least binutils-2.18.50.0.9, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 releng-rhel@redhat.com 2009-10-29 09:43:42 EDT
Fixed in 'binutils-2.19.51.0.14-34.el6', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 5 John Jarvis 2010-04-12 13:29:58 EDT
IBM is signed up to test and provide feedback
Comment 6 IBM Bug Proxy 2010-06-16 09:11:09 EDT
------- Comment From mgrf@de.ibm.com 2010-06-16 09:01 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified". Thx
Comment 7 John Jarvis 2010-06-16 09:51:38 EDT
Setting Verified flag based on IBM feedback
Comment 8 releng-rhel@redhat.com 2010-07-02 14:52:47 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.